services:

  dockerfile-lint<<subProject>>:
    image: registry1.dso.mil/ironbank/opensource/hadolint/hadolint:v2.12.0
    container_name: dockerfile-lint<<subProject>>
    entrypoint: ["${BASE_SCRIPTS_DIR}/dockerfile-lint/entrypoint.sh"]
    working_dir: /root
    environment:
      - REPORTS_DIR=${BASE_REPORTS_DIR}/dockerfile-lint<<subProject>>
      - SCRIPTS_DIR=${BASE_SCRIPTS_DIR}/dockerfile-lint
      - SCAN_DIR=/app
      - CI_JOB_NAME=dockerfile-lint<<subProject>>
    volumes:
      - ./:/root
      - ./<<projectName>><<subProject>>:/app
